Bug 621559 - Review Request: perl-Data-Properties - Perl equivalent of java.util.Properties
Summary: Review Request: perl-Data-Properties - Perl equivalent of java.util.Properties
Status: CLOSED DUPLICATE of bug 747437
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mark Chappell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 621558 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-05 13:31 UTC by Jessica Jones
Modified: 2011-10-19 19:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-19 19:46:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tremble: fedora-review?


Attachments (Terms of Use)

Description Jessica Jones 2010-08-05 13:31:45 UTC
Spec URL: http://zaniyah.fedorapeople.org/perl/perl-Data-Properties.spec
SRPM URL: http://zaniyah.fedorapeople.org/perl/perl-Data-Properties-0.02-2.src.rpm
Description:
Perl Data::Properties from CPAN.  This class is a Perl version of Java's java.util.Properties and aims to be format-compatible with that class.

Successful scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=2381348

Comment 1 Jessica Jones 2010-08-05 13:33:55 UTC
*** Bug 621558 has been marked as a duplicate of this bug. ***

Comment 2 Jessica Jones 2010-08-10 13:15:41 UTC
http://search.cpan.org/dist/Data-Properties/ - "License: UNKNOWN" is not very helpful.  I've sent an email to the upstream author at the address mentioned in the source and asked for clarification.

Comment 3 Jessica Jones 2010-08-12 09:52:10 UTC
(In reply to comment #2)
> http://search.cpan.org/dist/Data-Properties/ - "License: UNKNOWN" is not very
> helpful.  I've sent an email to the upstream author at the address mentioned in
> the source and asked for clarification.    

This is what the upstream maintainer/author had to say:

"On 11/08/10 00:00,, Brian Moseley wrote:
> huh, I'm surprised that you find it that useful, but okay. it doesn't
> look like I included a license in the distribution, but if I were to
> do so today, it would be under the most recent Apache license."

I have asked if he would mind updating the CPAN entry, as that would help clear up future confusion.

Comment 4 Mark Chappell 2010-09-11 12:51:12 UTC
 - = N/A
 / = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [/] Package is named according to the Package Naming Guidelines.
 [/] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [/] Package meets the Packaging Guidelines including the Language specific items
 [/] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested: http://koji.fedoraproject.org/koji/taskinfo?taskID=2461485
 [!] Rpmlint output:
bash-4.1$ rpmlint perl-Data-Properties*.rpm
perl-Data-Properties.noarch: W: spelling-error %description -l en_US util -> til, utile, until
perl-Data-Properties.noarch: W: invalid-license CHECK
perl-Data-Properties.src: W: spelling-error %description -l en_US util -> til, utile, until
perl-Data-Properties.src: W: invalid-license CHECK
perl-Data-Properties.src:11: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 11)
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

 [/] Package is not relocatable.
 [/] Buildroot is correct  ( Not needed if >= EL6 and >= F13 )
     Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [!] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type:
 [!] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [-] With any Subpackage installed the license must also be installed (this may
belong to another subpackage)
 [/] Spec file is legible and written in American English.
 [/] Sources used to build the package matches the upstream source, as provided
in the spec URL.
  (md5sum c60600639265a20c9678a720527e3941)
 [/] Package is not known to require ExcludeArch
 [/] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [/] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [/] Package does not contain duplicates in %files.
 [] Permissions on files are set properly.
 [/] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT. ( Not
needed if >= EL6 and >= F13 )
 [/] Package consistently uses macros.
 [/] Package contains code, or permissible content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [/] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [/] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [/] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [/] Latest version is packaged.
 [/] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [/] Reviewer should test that the package builds in mock.
     Tested through koji
 [/] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: fedora-rawhide
 [-] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [/] %check is present and the tests pass
All tests successful.
Files=1, Tests=14,  0 wallclock secs ( 0.02 usr  0.00 sys +  0.01 cusr  0.00 csys =  0.03 CPU)
Result: PASS

=== Perl Specific ===
  http://fedoraproject.org/wiki/Packaging/Perl
  [/] Versioned MODULE_COMPAT_ Requires
  [/] Non-Versioned CPAN URL tag

=== COMMENTS ===
* Licensing : Since upstream's taken so long to reply please adjust the License tag and include a copy of the email from upstream
https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Clarification : "A copy of the email, containing full headers, must be included as a source file (marked as %doc) in the package."

* BuildRoot only required if you're aiming for EL-5

* RPM Lint : 
mixed-use-of-spaces-and-tabs the spec file should either use spaces or tabs for indentation, not both.
spelling-error : ignore
invalid-licence : See above comments about licensing.

Comment 5 Marcela Mašláňová 2011-04-21 12:13:57 UTC
If you will be adding this package, please also create branch in F-15. Package gold has broken dependencies because of missing this one.

Comment 6 Jessica Jones 2011-08-18 13:56:35 UTC
Upstream does not want to update the module in CPAN as it is no longer maintained.  I am only really adding it as it is a dependency of something else.

Attempting to rebuild has highlighted a dependency on perl-ExtUtils-MakeMaker, which is not part of Fedora at present.

Comment 7 Jessica Jones 2011-08-18 14:03:48 UTC
As this was being added as a required dependency of Gold Allocation Manager, I've asked the Gold maintainer if a different Perl module might be used instead, but understandably he does not wish to change.

The maintainer of Data::Properties does not wish to maintain his package and has refused to update it as 'a superior version exists'.

I attempted to build perl-ExtUtils-MakeMaker, but at present it does not compile on Fedora 16.

Comment 8 Iain Arnell 2011-08-30 05:45:37 UTC
Jessica,

perl-ExtUtils-MakeMaker has been in fedora forever. It's a sub-package of perl rpm itself. Looking at your spec file, the problem is simply that you need 

 BuildRequires: perl(ExtUtils::MakeMaker)

without the quotes, not

 BuildRequires: perl('ExtUtils::MakeMaker')

Comment 9 Jessica Jones 2011-08-31 08:40:06 UTC
(In reply to comment #8)
> Jessica,
> 
> perl-ExtUtils-MakeMaker has been in fedora forever. It's a sub-package of perl
> rpm itself. Looking at your spec file, the problem is simply that you need 
> 
>  BuildRequires: perl(ExtUtils::MakeMaker)
> 
> without the quotes, not
> 
>  BuildRequires: perl('ExtUtils::MakeMaker')

Thanks, I hadn't realised it was something so simple.

Comment 10 Tom "spot" Callaway 2011-10-02 08:33:23 UTC
Jessica, if you can forward me a copy of the email from Brian so that I have it in the extremely unlikely event of dispute over the license, I will permit this package to move forward without including a copy.

Comment 11 Tom "spot" Callaway 2011-10-04 21:23:39 UTC
I've now got a copy of the email. This package can move forward for a proper review.

Comment 12 Emmanuel Seyman 2011-10-19 19:46:26 UTC
I've talked about this package via email with Jessica and she's doesn't have a lot of time to push this review forward. We've agreed that I should submit this package and that this review should be closed as a duplicate of that one.

*** This bug has been marked as a duplicate of bug 747437 ***


Note You need to log in before you can comment on or make changes to this bug.